OpenCV: cv::superres::PyrLKOpticalFlow Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::superres::PyrLKOpticalFlow Class Referenceabstract
Super Resolution

`#include "optical_flow.hpp"`

Inheritance diagram for cv::superres::PyrLKOpticalFlow:

## Public Member Functions
virtual int | getIterations () const =0
virtual int | getMaxLevel () const =0
virtual int | getWindowSize () const =0
virtual void | setIterations (int val)=0
virtual void | setMaxLevel (int val)=0
virtual void | setWindowSize (int val)=0
Public Member Functions inherited from cv::superres::DenseOpticalFlowExt
virtual void | calc (InputArray frame0, InputArray frame1, OutputArray flow1, OutputArray flow2=noArray())=0
virtual void | collectGarbage ()=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Function Documentation

## ◆ getIterations()

virtual int cv::superres::PyrLKOpticalFlow::getIterations | ( |  | ) | const
| pure virtual

See also
  setIterations

## ◆ getMaxLevel()

virtual int cv::superres::PyrLKOpticalFlow::getMaxLevel | ( |  | ) | const
| pure virtual

See also
  setMaxLevel

## ◆ getWindowSize()

virtual int cv::superres::PyrLKOpticalFlow::getWindowSize | ( |  | ) | const
| pure virtual

See also
  setWindowSize

## ◆ setIterations()

virtual void cv::superres::PyrLKOpticalFlow::setIterations | ( | int | val | ) |
| pure virtual

See also
  getIterations

## ◆ setMaxLevel()

virtual void cv::superres::PyrLKOpticalFlow::setMaxLevel | ( | int | val | ) |
| pure virtual

See also
  getMaxLevel

## ◆ setWindowSize()

virtual void cv::superres::PyrLKOpticalFlow::setWindowSize | ( | int | val | ) |
| pure virtual

See also
  getWindowSize

The documentation for this class was generated from the following file:

- superres/include/opencv2/superres/optical_flow.hpp